Problème de dépendance sous RedHat 9 [Résolu/Fermé]

Signaler
Messages postés
23
Date d'inscription
samedi 3 mai 2003
Statut
Membre
Dernière intervention
29 novembre 2016
-
Messages postés
5491
Date d'inscription
mercredi 15 septembre 2004
Statut
Contributeur
Dernière intervention
2 avril 2021
-
Bonjour, J'ai installé RedHat 9 sur une de mes machines. Je travaille en mode texte (console) dans le cadre de mes études. Quand j'ai voulu installé samba-client-2.2.7a-7.9.0.i386.rpm j'ai le message suivant:
Error: Failed dependencies:
samba-common-2.2.7a-7.9.0.i386.rpm is needed by samba-client et libcups.so.2 is needed by samba-common-2.2.7a-7.9.0.i386.rpm.
Je ne trouve ce fichier nul part dans les 3 cds RedHat que j'ai. J'ai voulu installer Perl-5.8.0.88.i386.rpm, mais ce package est déjà installé.
Mon problème, tant que je n'aurai pas installé ce package "libcups.so.2", je ne pourrai installé ni samba client, ni samba serveur. Je suis entrain de me débrouiller, mais si l'un de vous à une idée, un truc...
Ce package existe-t-il dans les cds, ou dois-je le télécharger ? Merci d'avance

3 réponses

Messages postés
5491
Date d'inscription
mercredi 15 septembre 2004
Statut
Contributeur
Dernière intervention
2 avril 2021
932
Salut,

Pour obtenir libcups.so.2, ce que tu dois installer c'est cups-libs, qui doit être sur tes CD.

Sinon, tu peux te procurer le .rpm pour RH9 là :

http://fr.rpmfind.net/...

Le contenu du .rpm est décrit là :

http://rpmfind.net//linux/RPM/redhat/9/i386/cups-libs-1.1.17-13.i386.html

Enfin, tout celà est ancien (2003).. si tu dois faire des choses sérieuses avec cette machine, tu as intérêt à installer une distribution récente.


Dal
Messages postés
23
Date d'inscription
samedi 3 mai 2003
Statut
Membre
Dernière intervention
29 novembre 2016
5
Bonjour et merci à tous. Je viens de régler le problème; il m'a suffit de saisir la commande suivante:
#rpm -ivh --nodeps samba-common-2.2.7a-2.9.0.i386.rpm. Ensuite, j'ai fait pareil pour smba-client. J'installerai samba-server après avoir effectué quelques TPs.
Encore merci à tous.
merci ça marche bien même sur centOs.
Messages postés
5491
Date d'inscription
mercredi 15 septembre 2004
Statut
Contributeur
Dernière intervention
2 avril 2021
932
Ouais,...

Toi, tu n'as pas lu le post suivant https://forums.commentcamarche.net/forum/affich-3017952-probleme-de-dependance-sous-redhat-9#3

et .. heu.. tu utilises quoi comme système pour utiliser une version de Samba aussi ancienne (et qui l'était déjà en 2007, date du post auquel tu réponds... en 2014, ils en sont à la v4.2 quand même) ?

voyageur du temps égaré ? dimension parallèle ?

;-)
Messages postés
5491
Date d'inscription
mercredi 15 septembre 2004
Statut
Contributeur
Dernière intervention
2 avril 2021
932
Salut,

De rien.. mais... ta solution n'en est pas vraiment une.

En faisant cela, tu as installé samba en le forçant à ignorer les dépendances. C'est dommage, d'autant plus que je m'étais donné le mal de te trouver l'information te permettant de résoudre la dépendance que tu signalais.

Dans ces conditions, si tu ne peux pas te servir de ton installation de Samba pour piloter une impression réseau (http://www.cups.org/), ou si d'autres dépendances manquantes font que ton client ou serveur Samba ne fonctionne pas ou pas comme il le devraient, il n'y aura là rien d'anormal.

Bonne continuation.


Dal
Messages postés
23
Date d'inscription
samedi 3 mai 2003
Statut
Membre
Dernière intervention
29 novembre 2016
5
Bonjour Dal, vous avez parfaitement raison car je n'ai pas pu piloter une impression réseau car libcups.so.2 était toujours nécessaire. J'ai réinstaller le système et ai installé le package lié à l'impression. Merci car je vais suivre tes conseils.